Support » Plugin: WordPress Popular Posts » critical error after plugin update

  • Resolved Valentin

    (@vbachem)


    After Update to the newest version I get a critical error on my wordpress blog.
    I already cleared the cache in the caching plugin and in the settings of your plugin.

    When I deactivate the plugin, the site is accessible again.

    The page I need help with: [log in to see the link]

Viewing 11 replies - 1 through 11 (of 11 total)
  • I have error too:

    Error thrown
    Call to a member function replaceChild() on null

    • This reply was modified 1 year, 6 months ago by lucadea.
    Plugin Author Héctor Cabrera

    (@hcabrera)

    Hey guys,

    Could you please share more details about your setup so I can try and reproduce the issue? Please go to Settings > WordPress Popular Posts > Debug and share the information displayed there.

    After that, you can either keep WPP disabled and wait for version 5.1.1 to be released or you can rollback to version 5.1.0 so you can keep using the plugin until then:

    1. If you haven’t done so already, disable the WordPress Popular Posts plugin.
    2. Download version 5.1.0 from here.
    3. Go to your hosting’s cPanel and access the File Manager (click here to learn how to) (or connect to your server via FTP using a program like FileZilla).
    4. Go to /public_html/wp-content/plugins/ (your /public_html folder may be named differently on your server, eg. htdocs or www).
    5. Find and delete the wordpress-popular-posts folder.
    6. Go to your WordPress Dashboard > Plugins > Add New.
    7. Click the Upload Plugin button at the top of the screen.
    8. Select the zip file you downloaded on step 2.
    9. Click the Install Now button.

    If you followed these steps correctly you should have WordPress Popular Posts 5.1.0 installed on your site with all of your data intact.

    Plugin Author Héctor Cabrera

    (@hcabrera)

    Update: after some testing, it seems that this issue only affects sites using PHP version 5.5.18 or older. You guys will need to upgrade your PHP version to at least version 5.5.31 for WordPress Popular Posts 5.2 (and on) to work on your website. Please reach out to your hosting provider for assistance with this.

    Update 2: another user running PHP 7.4 is reporting the same issue here. Could be related to how PHP is configured on your server, I’ll continue to investigate this issue.

    • This reply was modified 1 year, 6 months ago by Héctor Cabrera.
    • This reply was modified 1 year, 6 months ago by Héctor Cabrera.
    • This reply was modified 1 year, 6 months ago by Héctor Cabrera. Reason: Added link to Github issue

    Plugin Configuration

    Performance Nag: Dismissed

    Log Limit: No

    Log Views From: Everyone

    Data Caching: No

    Data Sampling: No

    External object cache: No

    WPP_CACHE_VIEWS: No

    System Info

    PHP version: 7.1.11

    PHP extensions: Core, date, libxml, openssl, pcre, sqlite3, zlib, bcmath, bz2, calendar, ctype, curl, dom, hash, fileinfo, filter, ftp, gd, gettext, SPL, iconv, session, json, mbstring, mcrypt, standard, mysqlnd, mysqli, PDO, pdo_mysql, pdo_sqlite, Phar, posix, Reflection, imap, SimpleXML, soap, exif, tokenizer, wddx, xml, xmlreader, xmlwriter, xsl, cgi-fcgi, tidy, SourceGuardian, imagick, ionCube Loader

    Database version: 5.7.29-32-log

    InnoDB availability: DEFAULT

    WordPress version: 5.4.2

    Multisite: No

    Active plugins: a3 Lazy Load 2.3.2, Akismet Anti-Spam 4.1.6, Breadcrumb NavXT 6.5.0, Classic Editor 1.5, Contextual Related Posts 2.9.3, Custom Sidebars 3.2.3, EU Cookie Law 3.1.4, Exit Popup 3.1, GA Google Analytics 20200325, Image Watermark 1.6.6, Jetpack by WordPress.com 8.7, Newsletter 6.7.9, NextGEN Gallery 3.3.6, P3 (Plugin Performance Profiler) 1.5.3.9, Post Layout 2.2.5, Post Views for Jetpack 1.3.0, Regenerate Thumbnails 3.1.3, Revive Old Posts 8.5.8, Sassy Social Share 3.3.10, Shortcodes Ultimate 5.9.2, Simple Lightbox 2.8.1, Smash Balloon Instagram Feed 2.4.5, SSL Insecure Content Fixer 2.7.2, St Daily Tip 4.6, Subpage Listing 0.6.2, The SEO Framework 4.0.7, WordPress Popular Posts 5.2.0, WP-PageNavi 2.93.3, WP Sticky Sidebar 1.3.5, WP User Avatar 2.2.7

    Theme: NS Minimal (1.1.3) by nunosarmento

    Plugin Author Héctor Cabrera

    (@hcabrera)

    Hey guys,

    I’ll need your help to test this patch:

    1. Make sure all versions of the WordPress Popular Posts plugins you have on your site are disabled (if you followed the instructions above you should only have one).
    2. Go to your hosting’s cPanel and access the File Manager (click here to learn how to) (or connect to your server via FTP using a program like FileZilla).
    3. Go to /public_html/wp-content/plugins/ (your /public_html folder may be named differently on your server, eg. htdocs or www).
    4. Delete the wordpress-popular-posts folder (if you have more than one, delete them all.)
    5. Go back to your WP Dashboard, then head to Plugins > Add New and install WordPress Popular Posts as usual but do not activate it just yet.
    6. Once the plugin is installed, go to Plugins > Plugin Editor and select WordPress Popular Posts from the dropdown at the right of your screen.
    7. Click on src/Front/Front.php to edit this file.
    8. Delete everything in the file and place this code in its place.
    9. Scroll down and click the Update File button to save changes.
    10. Finally, activate WordPress Popular Posts.

    If everything went well the error message should be gone now.

    Please report back your results, and thanks in advance!

    This Front.php patch works well.

    WordPress: 5.4.2
    PHP: 7.2.13
    WPP: 5.2.0 + Front.php-patch

    Plugin Author Héctor Cabrera

    (@hcabrera)

    Excellent, thanks for confirming @k1d. I’ll wait for a bit for others to confirm and release 5.2.1 shortly after.

    I just tested the Front.php patch and can confirm it works for me too.

    WordPress: 5.4.2
    PHP: 7.0.33
    Plugin version: 5.2.0 with patch

    Thread Starter Valentin

    (@vbachem)

    The Patch worked for me.

    WordPress: 5.4.2
    PHP 7.3.19
    Plugin version: 5.2.0 with patch

    • This reply was modified 1 year, 6 months ago by Valentin.
    Plugin Author Héctor Cabrera

    (@hcabrera)

    Thanks everyone for helping out, you guys rock!

    WordPress Popular Posts 5.2.1 is out, please update whenever possible.

    perfect now!

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘critical error after plugin update’ is closed to new replies.